@use "ruban.scss" as ruban;
@use "../generique/gros-bouton.scss";

@mixin main {

    display: block;
    position: relative;
    height: 30px;
    font-size: 10pt;
    padding: 0 5px;
    background: var(--bg-1);
    
    .chkbox {
        display: none;
    }

    .info {
        
        height: 30px;
        display: flex;
        align-items: center;
        justify-content: center;
        padding: 0 5px;
        position: relative;
        gap: 5px;
        font-weight: bold;

        &::after {
            @include ruban.slidebar();
            content: "";
            width: 100%;
            left: 0; bottom: 2px;
            background: transparent;
        }

    }

    .card {

        position: absolute;
        right: 0;
        top: 30px;
        background: var(--bg-1);
        border-top: var(--border);
        border-bottom: var(--border);
        border-left: var(--border);
        padding: 10px;
        gap: 5px;
        z-index: 1;

        display: flex;
        flex-direction: column;

        height: max-content;
        width: max-content;

        opacity: 0;
        pointer-events: none;
        transition: opacity .1s ease;

    }

    &:hover {

        .info::after {
            background: var(--bg-5);
        }

    }

    .chkbox:checked {

        & + .info::after {
            background: var(--theme);
        }

        & ~ .card {
            opacity: 1;
            pointer-events: all;
        }

    } 

    &.connecte {

        .info {

            color: var(--theme);

        }

    }

}

@mixin air {

    background: transparent;

    .card {

        border: none;
        border-radius: 5px;
        box-shadow: 1px 1px 6px -2px #000;
        top: 35px;
        
    }
    

}